[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| vigra::EightNeighborhood Namespace Reference Utilities to manage pixel neighborhoods |

## Classes
class | NeighborCode
| Encapsulation of direction management for the 8-neighborhood. More...
## Typedefs
typedef NeighborCode::Direction | Direction
## Functions
Diff2D const & | east ()
Diff2D const & | north ()
Diff2D const & | northEast ()
Diff2D const & | northWest ()
Diff2D const & | south ()
Diff2D const & | southEast ()
Diff2D const & | southWest ()
Diff2D const & | west ()
## Variables
static const Direction | DirectionCount = NeighborCode::DirectionCount
static const Direction | East = NeighborCode::East
static const Direction | North = NeighborCode::North
static const Direction | NorthEast = NeighborCode::NorthEast
static const Direction | NorthWest = NeighborCode::NorthWest
static const Direction | South = NeighborCode::South
static const Direction | SouthEast = NeighborCode::SouthEast
static const Direction | SouthWest = NeighborCode::SouthWest
static const Direction | West = NeighborCode::West

## Detailed Description

Utilities for 8-neighborhood.

## Typedef Documentation

typedef NeighborCode::Direction Direction

Export NeighborCode::Direction into the scope of namespace EightNeighborhood.

## Function Documentation

Diff2D const& vigra::EightNeighborhood::east | ( |  | ) |

Offset to the east neighbor

Diff2D const& vigra::EightNeighborhood::northEast | ( |  | ) |

Offset to the northEast neighbor

Diff2D const& vigra::EightNeighborhood::north | ( |  | ) |

Offset to the north neighbor

Diff2D const& vigra::EightNeighborhood::northWest | ( |  | ) |

Offset to the northWest neighbor

Diff2D const& vigra::EightNeighborhood::west | ( |  | ) |

Offset to the west neighbor

Diff2D const& vigra::EightNeighborhood::southWest | ( |  | ) |

Offset to the southWest neighbor

Diff2D const& vigra::EightNeighborhood::south | ( |  | ) |

Offset to the south neighbor

Diff2D const& vigra::EightNeighborhood::southEast | ( |  | ) |

Offset to the southEast neighbor

## Variable Documentation

const Direction East = NeighborCode::East`[static]`

Export NeighborCode::East to namespace EightNeighborhood

const Direction NorthEast = NeighborCode::NorthEast`[static]`

Export NeighborCode::NorthEast to namespace EightNeighborhood

const Direction North = NeighborCode::North`[static]`

Export NeighborCode::North to namespace EightNeighborhood

const Direction NorthWest = NeighborCode::NorthWest`[static]`

Export NeighborCode::NorthWest to namespace EightNeighborhood

const Direction West = NeighborCode::West`[static]`

Export NeighborCode::West to namespace EightNeighborhood

const Direction SouthWest = NeighborCode::SouthWest`[static]`

Export NeighborCode::SouthWest to namespace EightNeighborhood

const Direction South = NeighborCode::South`[static]`

Export NeighborCode::South to namespace EightNeighborhood

const Direction SouthEast = NeighborCode::SouthEast`[static]`

Export NeighborCode::SouthEast to namespace EightNeighborhood

const Direction DirectionCount = NeighborCode::DirectionCount`[static]`

Export NeighborCode::DirectionCount to namespace EightNeighborhood

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)